// Type definitions for query-array-parser 1.0
// Project: https://github.com/gradient/query-array-parser
import { RequestHandler } from 'express';

declare function queryArrayParser(options: string | queryArrayParser.Options): RequestHandler;

declare namespace queryArrayParser {
  interface Options {
    paramNames: string | string[];
    delim?: string;
  }
}

export = queryArrayParser;